2016-10-08

macOS SierraでPython3のインストールができない場合の対処法

高校数学もまともに勉強してこなかったレベルの私ですが、中学数学から勉強し直しながらディープラーニングの勉強をしています。

運のいい事にオライリーから「ゼロから作るDeep Learning ―Pythonで学ぶディープラーニングの理論と実装」という本が出てたので、それを読みながらコツコツコードを書いて動かしています。

ゼロから作るDeep Learning ―Pythonで学ぶディープラーニングの理論と実装

ただ、この本はPython3で書かれていて、メインで使っている環境がPython2の私にとっては色々と問題が出てきました。

サイトを運営するのにGoogle App Engineをメインで使っていて、GAEがPython3にまだ対応してないために未だにPython2系を使っているという事情があります。

私と同じような人がいるかもしれないので、問題が出てくるたびに一応記事にしていこうと思います。

今回は、macでPython3のインストールができない場合の対処法です。

Python2のままやろうと思ったのですが、色々と不都合が出来てきたのでPython2とPython3を切り替えて使えるようにしようと思いました。

そこでpyenvを使ってPython3をインストールしようとしたら、以下のようなエラーが出て失敗。


~$ pyenv install 3.5.1
Last 10 log lines:
  File "/private/var/folders/96/6vlfqmzs7yj57x663b30_d100000gn/T/python-build.20161008050732.27594/Python-3.5.1/Lib/ensurepip/__main__.py", line 4, in 
    ensurepip._main()
  File "/private/var/folders/96/6vlfqmzs7yj57x663b30_d100000gn/T/python-build.20161008050732.27594/Python-3.5.1/Lib/ensurepip/__init__.py", line 209, in _main
    default_pip=args.default_pip,
  File "/private/var/folders/96/6vlfqmzs7yj57x663b30_d100000gn/T/python-build.20161008050732.27594/Python-3.5.1/Lib/ensurepip/__init__.py", line 116, in bootstrap
    _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
  File "/private/var/folders/96/6vlfqmzs7yj57x663b30_d100000gn/T/python-build.20161008050732.27594/Python-3.5.1/Lib/ensurepip/__init__.py", line 40, in _run_pip
    import pip
zipimport.ZipImportError: can't decompress data; zlib not available
make: *** [install] Error 1

調べて見るとxcode-selectというのをインストールするとできるらしいという事で、早速インストール。

参考:http://qiita.com/maosanhioro/items/bf93540515d4ea75b222


xcode-select --install

するとウィンドウが立ち上がるので、気にせずにインストールを続行します。

インストール出来たら再度Python3のインストールに挑戦。


Downloading Python-3.5.1.tgz...
-> https://www.python.org/ftp/python/3.5.1/Python-3.5.1.tgz
Installing Python-3.5.1...
Installed Python-3.5.1 to /Users/minoru/.pyenv/versions/3.5.1

すると無事にインストールすることが出来ました。

0 件のコメント:

コメントを投稿